# coding: utf-8
# pylint: disable=E1136

from django.db.models.base import Model
from django.db.models.fields import CharField
from django.db.models.fields import DateField
from django.db.models.fields import DateTimeField


class Person(Model):

    class Meta:
        verbose_name = 'Физическое лицо'
        verbose_name_plural = 'Физические лица'

    last_name = CharField(
        'Фамилия', max_length=255
    )
    first_name = CharField(
        'Имя', max_length=255
    )
    middle_name = CharField(
        'Отчество', max_length=255
    )
    date_of_birth = DateField(
        'Дата рождения', null=True, blank=True
    )
    created = DateTimeField(
        'Дата создания'
    )
